Cadastra um webhook (self-service)
Cria um webhook no seu Projeto. A resposta inclui o secret (whsec_) UMA unica vez — guarde para validar a assinatura X-Pepino-Signature de cada entrega. Perdeu o secret? Delete e crie outro.
Authorization
bearerAuth API key enviada como Authorization Bearer pzk_live_... ou pzk_test_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "name": "meu-endpoint", "url": "https://meusistema.com/webhook/pepinozap", "events": [] }'{
"id": "cm5x8wh0001abc123def456",
"name": "meu-endpoint",
"url": "https://meusistema.com/webhook/pepinozap",
"events": [],
"enabled": true,
"lastSuccessAt": null,
"lastFailureAt": null,
"lastFailureReason": null,
"createdAt": "2026-06-05T12:00:00Z",
"secret": "whsec_3a1f9c2b7e4d6a8f0b2c4d6e8f1a3b5c"
}{
"error": {
"code": "BAD_REQUEST",
"message": "Body invalido"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "API key ausente ou invalida"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Projeto inativo ou sem permissao"
}
}